From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pyusb/
Date: Fri, 9 Jul 2021 07:26:24 +0000 (UTC) [thread overview]
Message-ID: <1625815566.72a66c9f34a3dfe5d4a60f98245ab8ae87c6cafa.mgorny@gentoo> (raw)
commit: 72a66c9f34a3dfe5d4a60f98245ab8ae87c6cafa
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 9 06:41:14 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jul 9 07:26:06 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=72a66c9f
dev-python/pyusb: Bump to 1.2.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyusb/Manifest | 1 +
dev-python/pyusb/pyusb-1.2.1.ebuild | 26 ++++++++++++++++++++++++++
2 files changed, 27 insertions(+)
diff --git a/dev-python/pyusb/Manifest b/dev-python/pyusb/Manifest
index 0e0c7611805..f4e63d6fb30 100644
--- a/dev-python/pyusb/Manifest
+++ b/dev-python/pyusb/Manifest
@@ -1,2 +1,3 @@
DIST pyusb-1.1.1.tar.gz 74746 BLAKE2B 795acafae3193e1a415baeb634554c8fdec3f4baa45a61a3eac9e1af4a84634cc540d421b7d8ad20142912fbef6ba53684e2e5b008e48f3e89406a493918ab20 SHA512 19aa82dcb9421d536063a975414855d1474f44b33dc4039e9a001be795061dbd60ed576acb605ae6bab7a0fe10834e5507408757546c7edcd50b43687a65a287
DIST pyusb-1.2.0.tar.gz 75557 BLAKE2B 3a2d066d4069a8662c981ab1f01237d7c0bc18be82afb96a79cf861b04e2e389c5d5f6be96bf54337ef0b2ad8043d047554caed83987328d4e453a3748d13bc6 SHA512 3aa6314bd06467cf22fe299d414ffbdea773c8784dccfe53e7d54d238285bc389ba35317a993b38d2b2027c71a990edcf17016a060b8e627fe97e9cfcc99ce7d
+DIST pyusb-1.2.1.tar.gz 75292 BLAKE2B c1b99f22919ab4beb8e96d664147dc51001c4a48b3acf9ba3961f7f53a9d13277c622e891481fd00b9d34d2ed8a2a0932b7949c13396ea4d76b36f36fcc4cdb0 SHA512 51d0c1165540afa21d6d0ab7315ac77b08083d1cb8e502173dfb1766bc542173f9d7b0070fd14bc71d147e31c3f0780b277093791a7c82485962a04ec62bf0f1
diff --git a/dev-python/pyusb/pyusb-1.2.1.ebuild b/dev-python/pyusb/pyusb-1.2.1.ebuild
new file mode 100644
index 00000000000..24e01cf2f16
--- /dev/null
+++ b/dev-python/pyusb/pyusb-1.2.1.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="USB support for Python"
+HOMEPAGE="https://pyusb.github.io/pyusb/ https://pypi.org/project/pyusb/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~x86"
+
+### This version is compatible with both 0.X and 1.X versions of libusb
+DEPEND="virtual/libusb:="
+RDEPEND="${DEPEND}"
+
+DOCS=( README.rst docs/tutorial.rst )
+
+python_test() {
+ cd tests || die
+ "${EPYTHON}" testall.py || die "Tests failed with ${EPYTHON}"
+}
next reply other threads:[~2021-07-09 7:26 UTC|newest]
Thread overview: 36+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-07-09 7:26 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-07 10:07 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyusb/ Sam James
2024-03-09 11:25 Marek Szuba
2023-03-20 5:36 Michał Górny
2023-03-19 19:21 Sam James
2023-03-19 18:58 Arthur Zamarin
2023-02-17 6:27 Sam James
2021-08-08 6:33 Michał Górny
2021-08-07 23:37 Sam James
2021-08-07 14:43 Sam James
2021-08-01 22:07 Marek Szuba
2021-07-06 7:58 Michał Górny
2021-05-14 21:39 Marek Szuba
2021-02-19 16:37 Michał Górny
2021-02-19 12:07 Sam James
2021-02-19 3:40 Sam James
2021-01-20 8:26 Michał Górny
2021-01-07 9:25 Michał Górny
2021-01-07 1:08 Sam James
2021-01-07 0:58 Sam James
2020-12-01 23:08 Marek Szuba
2020-09-20 9:36 Michał Górny
2020-03-19 2:11 Rick Farina
2019-10-15 15:58 Craig Andrews
2019-08-09 9:44 Louis Sautier
2019-04-27 23:34 Anthony G. Basile
2019-03-19 15:38 Rick Farina
2019-03-11 8:40 Mikle Kolyada
2017-10-29 7:17 Tim Harder
2017-10-29 7:17 Tim Harder
2017-05-16 20:15 Manuel Rüger
2017-05-02 14:02 Michał Górny
2016-09-05 21:35 Manuel Rüger
2016-08-06 18:16 Mike Gilbert
2016-08-06 18:16 Mike Gilbert
2016-08-06 8:47 Pacho Ramos
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1625815566.72a66c9f34a3dfe5d4a60f98245ab8ae87c6cafa.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox